## R-1.0.1.tgz

=== src/gnuwin32/Makefile ===
include MkRules

HELP=YES
WINHELP=BOTH # NO, CHM, BOTH

PACKAGES=base ctest eda lqs modreg mva nls splines stepfun ts
RPREFIX=rw1001
RVER=$(shell cut -d' ' -f1 ../../VERSION)

RHOME=$(shell cd ../..; perl src/gnuwin32/pwd.pl)# must be absolute path
RLIB=$(RHOME)/library
PKGDIR=$(RHOME)/src/library
PKGD=$(shell cd $(PKGDIR); perl $(RHOME)/src/gnuwin32/pwd.pl)# must be absolute path

ifdef DEBUG
 OPTFLAGS=-g -O2 -Wall
 DLLFLAGS=
else
 OPTFLAGS=-O2 -Wall -pedantic
 DLLFLAGS=-s 
endif

R-DLLFLAGS= $(STRIPFLAG) -mwindows
R-DLLLIBS=-L. $(FLIBS) -lwsock32 -lcomctl32
SOURCES=$(wildcard *.c *.f)
OBJS=$(foreach i, $(SOURCES), $(basename $i).o)
MAINLIBS=libmain.a libappl.a libmath.a
EXTRALIBS=ga.a gl.a xdr.a em.a

LIBFILES=$(foreach i, $(PACKAGES), ../../library/$i)
PKGS=$(foreach i, $(PACKAGES), pkg-$i)
PKGCLEAN=$(foreach i, $(PACKAGES), pkgclean-$i)

.PHONY:  clean veryclean  rlibs fixfiles front-ends

all: rbuild rdemo rpackage

CFLAGS=$(OPTFLAGS) -I../include -I../include/R_ext -I. -DHAVE_CONFIG_H
FFLAGS=$(OPTFLAGS)

rbuild: fixfiles makeMakedeps rlibs ../../bin/R.dll libR.a CHTML \
	../include/globalvar.h front-ends docfiles

rpackage: fixed/fixdesc $(PKGS)

rinstaller:
	$(MAKE) -C installer PREFIX=$(RPREFIX)

rdemo:  libR.a
	make -C ../../demos/dynload -f $(RHOME)/src/gnuwin32/MkDyndemo

rlibs: 
	$(MAKE) -C ../appl OPTFLAGS="$(OPTFLAGS)" -f Makefile.win
	$(MAKE) -C ../main OPTFLAGS="$(OPTFLAGS)" -f Makefile.win
	$(MAKE) -C ../nmath OPTFLAGS="$(OPTFLAGS)" -f Makefile.win
	$(MAKE) -C ./graphapp
	$(MAKE) -C ./getline
	$(MAKE) -C ./xdr
	$(MAKE) -C ./math


docfiles: INSTALL COPYRIGHTS FAQs
SEDVER= -e s/@RVER@/$(RVER)/g -e s/@RWVER@/$(RPREFIX)/g

COPYRIGHTS: $(RHOME)/COPYRIGHTS COPYRIGHTS.win
	cat $^ > $@

INSTALL: INSTALL.in ../../VERSION
	$(SED) $(SEDVER) INSTALL.in > INSTALL

FAQs: rw-faq fixed/r/rw-FAQ.html

fixed/r/rw-FAQ.html: rw-FAQ.texi ../../VERSION
	$(SED) $(SEDVER) $< | \
	  makeinfo --html --no-headers --number-sections -o $@

rw-faq: rw-FAQ.texi ../../VERSION
	$(SED) $(SEDVER) $< | \
	  makeinfo --no-headers --number-sections -o $@


fixfiles:
	$(MKDIR) -p ../../bin 
	$(MAKE) -C ./fixed
	$(CP) -pr unzip ../..
	$(RM) ../../unzip/*.h

fixed/fixdesc:
	sh fixed/GETDESC $(PACKAGES)

R.dll: R.a $(MAINLIBS) $(EXTRALIBS)

../../bin/R.dll: fixfiles rlibs R.dll
	$(MKDIR) -p ../../bin
	$(CP) R.dll ../../bin/

front-ends: libR.a
	$(MAKE) -C front-ends

R.a: $(OBJS)
	@$(ECHO) -------- Building $@ --------
	$(AR) cr R.a $^
	$(RANLIB) R.a


# R.dll exports all global symbols BUT import library (libR.a)
# only (all functions) + (global vars listed in exported-vars))

libR.a:  R.exp
	$(DLLTOOL) $(DLLTOOLFLAGS) $(R-DLLTOOLFLAGS) --dllname R.dll --def R.exp --output-lib libR.a

# This fails on djtools make:
R.exp: R.exp1
	(diff R.exp R.exp1 > /dev/null) || $(CP) R.exp1 R.exp

R.exp1: R.a $(MAINLIBS) $(EXTRALIBS) exported-vars
	$(ECHO) EXPORTS > $@
	$(NM) R.a $(MAINLIBS) $(EXTRALIBS) > RDefs
	$(SED) -n "/^........ [T] _/s/^........ [T] _/ /p" RDefs >> $@
	$(CAT) exported-vars >> $@
	$(RM) RDefs

# avoid building globalvar.h with errors
../include/globalvar.h: exported-vars
	$(AWK) -- '//{if ($$1 != "") print "#define " $$1 " (*_imp__" $$1 ")"}' \
	           exported-vars > ../include/globalvar.h

CHTML:
ifeq ($(strip $(HELP)),YES)
ifeq ($(strip $(WINHELP)),CHM)
	$(MAKE) -C ./help -f MkChmDll
endif
ifeq ($(strip $(WINHELP)),BOTH)
	$(MAKE) -C ./help -f MkChmDll
endif
endif


base-HELP=ziponly

pkg-%:  libR.a #../include/globalvar.h
	$(MAKE) DLLNM=$($*-DLLNM)  EXTRADOCS=$($*-EXTRADOCS) \
	  -C $(PKGDIR)/$* PKG=$* RHOME=$(RHOME) RLIB=$(RLIB) \
	  -f $(RHOME)/src/gnuwin32/MakePkg
ifeq ($(strip $(HELP)),YES)
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) $($*-HELP)help-$*
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) contents-$*
ifeq ($(strip $(WINHELP)),CHM)
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) chm-$*
endif
ifeq ($(strip $(WINHELP)),BOTH)
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) winhlp-$* # also makes chm
endif
endif

pkgclean-%:
	$(MAKE) DLLNM=$($*-DLLNM)  EXTRADOCS=$($*-EXTRADOCS) RHOME=$(RHOME) \
	  -C $(PKGDIR)/$* PKG=$* -f $(RHOME)/src/gnuwin32/MakePkg clean

pkgcheck-%:
	@$(ECHO) -------- Testing package $* --------
	-@mkdir -p $(PKGDIR)/$*/check
	@$(MAKE) -C $(PKGDIR)/$*/check PKG=$* RHOME=$(RHOME) RLIB=$(RLIB) \
	  -f $(RHOME)/src/gnuwin32/check/PkgCheck

ziphelp-%:
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) ziphelp-$*
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) contents-$*

ziponly-%:
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) ziponlyhelp-$*
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) contents-$*

zipdata-%:
	(cd $(RLIB)/$*/data; ls -1 > filelist; \
	  zip -rmq9X Rdata * -x filelist 00Index)

bootstrap-DLLNM=boott

clean: cleanwin $(PKGCLEAN)
	$(RM) -f ../*/*.o $(WINOBJS) *.a ../*/*.d ../*/Makedeps fixed/fixdesc
	-$(MAKE) -C ../../doc/manual -f Makefile.win distclean

distclean veryclean: clean
	$(RM) -rf R.exp ../../bin ../../library
	$(RM) -f ../library/*/src/*.o ../library/*/src/*.a
	$(RM) -f ../library/*/src/*.def ../library/*/src/*.dll
	$(RM) -rf ../library/*/check
	$(RM) -f ../../doc/html/search/index.txt \
	../../doc/html/function.html ../../doc/html/packages.html \
	../../demos/dynload/zero.def ../../demos/dynload/zero.dll \
	../../demos/dynload/zero.o \
	../../etc/R* ../../etc/rgb.txt \
	../include/FFDecl.h ../include/FFTab.h ../include/Platform.h \
	../include/globalvar.h ../../tests/*.Rout ../../tests/*.Rout.fail

cleanwin:
	$(RM) *.o *.exe *.dll *.a *~ \#*\# *.zip R.def R.exp1 \
	   .RData .Rhistory Makedeps *.d
	$(MAKE) -C graphapp clean
	$(MAKE) -C fixed clean
	$(MAKE) -C getline clean
	$(MAKE) -C help clean
	$(MAKE) -C front-ends clean
	$(MAKE) -C xdr clean
	$(MAKE) -C math clean
	$(MAKE) -C bitmap clean
	-$(MAKE) -C installer clean

bindist:
	$(RM) -rf $(RPREFIX)
	$(MKDIR) $(RPREFIX)
	$(CP) -pr ../../bin ../../afm ../../demos  ../../unzip $(RPREFIX)
	$(MKDIR) $(RPREFIX)/library
	$(CP) -pr $(LIBFILES) $(RPREFIX)/library
	$(RM) $(RPREFIX)/demos/dynload/*.o $(RPREFIX)/demos/dynload/*.def
	$(RM) $(RPREFIX)/*/Makefile.in
	$(MKDIR) $(RPREFIX)/etc
	$(CP) -p ../../etc/Rprofile $(RPREFIX)/etc/Rprofile
	$(CP) -p ../../etc/Rconsole $(RPREFIX)/etc/Rconsole
	$(CP) -p ../../etc/Rdevga $(RPREFIX)/etc/Rdevga
	$(CP) -p ../../etc/rgb.txt $(RPREFIX)/etc/rgb.txt
	$(MKDIR) $(RPREFIX)/doc $(RPREFIX)/doc/manual
	$(CP) -pr ../../doc/html $(RPREFIX)/doc
	$(CP) -p ../../doc/manual/Rd.sty $(RPREFIX)/doc/manual
	$(CP) -p ../../COPYING COPYRIGHTS ../../FAQ ../../NEWS \
		../../Y2K $(RPREFIX)
	$(SED) -e s/@RWVER@/$(RPREFIX)/g \
	  -e s/@RVER@/$(RVER)/g readme > $(RPREFIX)/README
	$(CP) -p rw-faq $(RPREFIX)/rw-FAQ
	$(CP) -p CHANGES $(RPREFIX)/CHANGES
	zip docs.zip $(RPREFIX)/*
	unzip -a -o docs.zip
	$(RM) docs.zip
	$(RM) -f $(RPREFIX)b1.zip $(RPREFIX)b2.zip $(RPREFIX)h.zip \
	   $(RPREFIX)w.zip $(RPREFIX)l.zip $(RPREFIX)ch.zip
	$(RM) anindex.zip
	zip -mrX anindex.zip $(RPREFIX)/library/*/help/AnIndex $(RPREFIX)/library/*/help/00Titles
	zip -mr9X $(RPREFIX)h.zip $(RPREFIX)/library/*/help 
	unzip anindex.zip
	$(RM) anindex.zip
	zip -rm9X $(RPREFIX)w.zip $(RPREFIX)/doc/html $(RPREFIX)/library/*/html
	-zip -rm9X $(RPREFIX)ch.zip $(RPREFIX)/library/*/chtml  $(RPREFIX)/bin/Rchtml.dll
	$(RM) $(RPREFIX)/library/*/winhlp/*.GID
	-zip -rm9X $(RPREFIX)wh.zip $(RPREFIX)/library/*/winhlp
	zip -rm9X $(RPREFIX)l.zip $(RPREFIX)/library/*/latex $(RPREFIX)/doc/manual
	$(RM) -r $(RPREFIX)/doc
	zip -rm9X $(RPREFIX)b2.zip $(RPREFIX)/library
	zip -r9X $(RPREFIX)b1.zip $(RPREFIX)
	$(RM) -rf $(RPREFIX)



srcdist:
	$(RM) -r ../src src
	$(MKDIR) ../src
	$(MKDIR)  ../src/gnuwin32
	$(CP)  -pr ./* ../src/gnuwin32
	$(RM) -r ../src/gnuwin32/old ../src/gnuwin32/*.zip
	$(RM) -r ../src/gnuwin32/installer/unzip
	$(RM) -r ../src/gnuwin32/bitmap/jpeg-6b
	$(RM) -r ../src/gnuwin32/bitmap/libpng
	$(RM) -r ../src/gnuwin32/bitmap/zlib 
	$(RM) -f ../src/gnuwin32/unzip/*.dll
	$(MAKE) -k -C ../src/gnuwin32 cleanwin
	mv ../src .
	$(RM) $(RPREFIX)s.zip
	zip -rX  $(RPREFIX)s.zip src
	$(RM) -r src


#taken from ../include/Makefile.in
SRC_HEADERS = R.h S.h Rdefines.h Rinternals.h S_compat.h
OBJ_HEADERS = Rconfig.h Rversion.h
GW32_HEADERS = globalvar.h # psignal.h

packagedist:
	$(RM) -r $(RPREFIX)sp.zip $(RPREFIX)
	$(MKDIR) $(RPREFIX) $(RPREFIX)/etc $(RPREFIX)/src \
	  $(RPREFIX)/src/include $(RPREFIX)/src/library \
	  $(RPREFIX)/src/gnuwin32 $(RPREFIX)/src/gnuwin32/fixed
	$(CP) -p ../../COPYING exported-vars R.exp MkRules MakePkg MakeDll \
	  maketitle pwd.pl $(RPREFIX)/src/gnuwin32
	$(CP) -p Makefile.packages $(RPREFIX)/src/gnuwin32/Makefile
	$(CP) fixed/dobundle.pl $(RPREFIX)/src/gnuwin32/fixed
	$(CP) -pr help check $(RPREFIX)/src/gnuwin32
	$(RM) $(RPREFIX)/src/gnuwin32/help/*.c \
	  $(RPREFIX)/src/gnuwin32/help/MkChmDll
	$(MAKE) -C $(RPREFIX)/src/gnuwin32/help clean
	$(CP) -p $(foreach i,$(SRC_HEADERS) $(OBJ_HEADERS) $(GW32_HEADERS), \
	  ../include/$i) $(RPREFIX)/src/include
	$(CP) -pr ../include/R_ext $(RPREFIX)/src/include
	$(CP) readme.packages $(RPREFIX)
	$(CP) ../../etc/Rdconvlib.pl ../../etc/buildlib.pl \
	   ../../etc/html-layout.pl $(RPREFIX)/etc
	zip -rX $(RPREFIX)sp.zip $(RPREFIX)
	$(RM) -r $(RPREFIX)


distribution: bindist packagedist docsdist

# tests
check: all test
test: test-Specific pkgtests

test-Specific:
	-@$(MAKE) -C $(RHOME)/tests -f $(RHOME)/src/gnuwin32/check/Maketests clean
	-@$(MAKE) -C $(RHOME)/tests -f $(RHOME)/src/gnuwin32/check/Maketests

PKGS-CHK=$(foreach i, $(PACKAGES), pkgcheck-$i)
pkgtests: $(PKGS-CHK)

pkgcheck-base:
	@$(ECHO) -------- Testing package base --------
	@(cd ../../library/base/R-ex; unzip -oq Rex)
	-@mkdir -p ../library/base/check
	-@$(MAKE) -C ../library/base/check \
	  PKG=base RHOME=$(RHOME) RLIB=$(RLIB) \
	  -f ../../../gnuwin32/check/PkgCheck
	@(cd ../../library/base/R-ex; rm -f *.R)

bundle-%:
	$(PERL) fixed/dobundle.pl $* $(PKGD) $(RLIB)

docs manuals:
	@$(MAKE) -C $(RHOME)/doc/manual -f Makefile.win clean
	@$(MAKE) -C $(RHOME)/doc/manual -f Makefile.win R_PKGS="$(PACKAGES)"
#	$(RM) $(RHOME)/library/base/latex/*.tex
	@$(MAKE) ziponly-base

docsdist:
	$(RM) -rf $(RPREFIX)
	$(RM) -f $(RPREFIX)d1.zip $(RPREFIX)d2.zip
	$(MKDIR) $(RPREFIX) $(RPREFIX)/doc $(RPREFIX)/doc/manual
	$(CP) -pr $(RHOME)/doc/manual/*.pdf $(RPREFIX)/doc/manual
	zip -rm9X $(RPREFIX)d2.zip $(RPREFIX)/doc/manual/refman.pdf
	zip -rm9X $(RPREFIX)d1.zip $(RPREFIX)/doc/manual \
	  -x $(RPREFIX)/doc/manual/R-FAQ.pdf
	$(RM) -rf $(RPREFIX)


# Dependencies
CSOURCES=$(wildcard *.c)
DEPS=$(foreach i, $(CSOURCES), $(basename $i).d)

.c.d:
	@echo "making $@ from $<"
	@$(CC)  -M $(CFLAGS) $($*-CFLAGS) $< -o $@

makeMakedeps: $(DEPS)
	@$(RM) Makedeps
	@cat $(DEPS) >> Makedeps

-include Makedeps

=== debian/changelog ===
r-base (1.0.1-0) unstable; urgency=low

  * Test builds of new upstream sources.

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 17 Mar 2000 10:50:13 -0600

r-base (1.0.0-2) unstable; urgency=low

  * The pdf documentation is now in a new package r-doc-pdf
  * A GNOME-enabled version is available in a new package r-gnome (Closes #44503)
  * debian/{rules,control}: Modified accordingly
  * Thanks to Dirk Eddelbuettel who did most of the work for this.

 -- Douglas Bates <bates@stat.wisc.edu>  Thu, 16 Mar 2000 16:28:07 -0600

r-base (1.0.0-1) unstable; urgency=low

  * New upstream version
  * Fixed names of info files, readline support (Closes: #57774)
  * Added pdf files to doc directory (Closes: #20227)

 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  9 Mar 2000 16:28:29 -0600

r-base (0.99.0-2) unstable; urgency=low

  * Small but important bug fixes in upstream sources
  * Removed dependence on atlas2 - using blas1 instead
  * Recompiled to use the readline library

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 13 Feb 2000 14:23:25 -0600

r-base (0.99.0-1) unstable; urgency=low

  * New upstream release
  * Added creation and installation of info documentation
  * Created the PDF documentation and added it to the doc directory
  * Added dependence on the atlas2 package and used the atlas blas
  * Added /usr/bin/X11 to the path before configuring so imake is found

 -- Douglas Bates <bates@stat.wisc.edu>  Mon,  7 Feb 2000 10:36:44 -0600

r-base (0.90.1-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Tue, 14 Dec 1999 10:51:10 -0600

r-base (0.90.0-2) unstable; urgency=low

  * added Conflicts: r-cran in control (Closes: #51673)
  * Reinstated -Xfoo flags in call to dh_md5sums for Bug#35744
  * Set up --mandir so package builds with -rfakeroot (Closes: #51901)
  * Undid Dirk's marking of Rd2txt.1 Rdindex.1 Sd2Rd.1 as undocumented
    (the manual pages are symbolic links to the Rdconv.1 page)
  
 -- Douglas Bates <bates@stat.wisc.edu>  Sun,  5 Dec 1999 15:03:52 -0600

r-base (0.90.0-1) unstable; urgency=low

  * Non-maintainer upload dealing with the usr/doc to usr/share/doc
    transition, as well as a  few other lintian errors and warnings 
  * debian/postinst: added #DEBHELPER# stub
  * debian/rules: configure with mandir=/usr/share/man
  * debian/rules: remove extra licenses 
  * debian/rules: also install docs BUGS PLATFORMS VERSION Y2K
  * debian/rules: mark Rd2txt.1 Rdindex.1 Sd2Rd.1 as undocumented
  * debian/dirs: change usr/doc to usr/share/doc
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Nov 1999 20:46:56 -0500

r-base (0.90.0-0) unstable; urgency=low

  * new upstream release
  * Added a "suggests" entry in control for the ess package

 -- Douglas Bates <bates@stat.wisc.edu>  Thu, 25 Nov 1999 13:08:19 -0600

r-base (0.65.1-2) unstable; urgency=low

  * Changed from use of zip/unzip to minizip/miniunzip (Bug#48742)

 -- Douglas Bates <bates@stat.wisc.edu>  Sat, 30 Oct 1999 15:04:42 -0500

r-base (0.65.1-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 8 Oct 1999 10:04:55 -0500

r-base (0.65.0-1) unstable; urgency=low

  * New upstream release
  * Added dependency on unzip package

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 27 Aug 1999 09:30:14 -0500

r-base (0.64.2-1) unstable; urgency=low

  * New upstream release
  * Changed dependency from perl to perl5 as per new policy.	
	
 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  1 Jul 1999 09:05:03 -0500

r-base (0.64.1-1) unstable; urgency=low

  * New upstream release
  * Change definition of RHOME in /usr/lib/R/bin/R shell script (Bug#37339)
  * Add links so /usr/lib/R/doc/manual .tex files can be LaTeX'd (Hubert Palme)
  * Re-introduced md5sum's but with files that can change removed (Bug#35744)
  * Removed arbitrary --vsize and --nsize flags in R script.

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 12 May 1999 11:48:22 -0500
    

r-base (0.64.0-2) unstable; urgency=low

  * removed md5sums from control information (Bug#35744)

 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  8 Apr 1999 08:48:32 -0500

r-base (0.64.0-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  1 Apr 1999 11:03:17 -0600

r-base (0.63.3-2) unstable; urgency=low

  * Recompile for glibc2.1 to fix __setfpucw bug (Bug#34598)

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 17 Mar 1999 13:42:41 -0600

r-base (0.63.3-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  4 Mar 1999 09:20:41 -0600

r-base (0.63.2-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 15 Jan 1999 09:25:20 -0600

r-base (0.63.1-1) unstable; urgency=low

  * New upstream release
  * Linked html directory to /usr/doc/r-base/doc/html (Dirk Eddelbuettel)

 -- Douglas Bates <bates@stat.wisc.edu>  Fri,  4 Dec 1998 14:22:19 -0600

r-base (0.63.0-2) unstable; urgency=low

  * recompiled against libc6-dev_2.0.7u-6 for __register_frame_info fix

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 29 Nov 1998 15:39:48 -0600

r-base (0.63.0-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 18 Nov 1998 13:33:58 -0600

r-base (0.62.4-1) frozen unstable; urgency=low, closes=26444

  * New upstream release
  * Fixed link to html directory in /usr/doc (Bug#26444)
  * Check for /usr/bin/paperconf in postinst and set default R_PAPERSIZE (Bug#26447)
  * Remove src/lib directory in debian/rules clean (Bug#28545)

 -- Douglas Bates <bates@stat.wisc.edu>  Mon,  2 Nov 1998 09:29:20 -0600

r-base (0.62.3-0) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 19 Aug 1998 10:38:08 -0500

r-base (0.62.2-2) unstable; urgency=low

  * Cleaned up the build process by removing redundancies in config.site
    and debian/rules.
  * Changed C compiler to gcc instead of egcs.



=== debian/control ===
Source: r-base
Section: math
Priority: optional
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Standards-Version: 2.4.0.0

Package: r-base
Architecture: any
Depends: perl5, zlib-bin, ${shlibs:Depends}
Conflicts: r-cran
Suggests: g77, libpaperg, ess
Description: `GNU S' - A language and environment for statistical computing.
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 Versions 0.90.0 and higher have R functions CRAN.packages, install.packages,
 and update.packages that can be used to select and update R packages from the
 Comprehensive R Archive Network.  The Debian packages r-cran, r-cran-non-free,
 and r-mlbench are no longer needed and have been withdrawn.

Package: r-gnome
Architecture: any
Depends: r-base (= ${Source-Version}), ${shlibs:Depends}
Description: `GNU S' - GNOME-enabled executable
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This package provides the executable linked with the GNOME libraries
 for use as
 .
 R --gui=GNOME

Package: r-doc-pdf
Architecture: all
Suggests: pdf-viewer | xpdf | acroread, r-base
Description: `GNU S' documentation in pdf format
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This packages provides the documentation for R in pdf format.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux r-base package
# Copyright 1997-2000 by Douglas M. Bates <bates@stat.wisc.edu>

package		= r-base
pdfpackage	= r-doc-pdf
gnomepackage	= r-gnome

debbase		:= $(shell pwd)/debian
debtmp		:= $(debbase)/tmp
debdoc		:= $(debtmp)/usr/share/doc/$(package)

# edd 10 Feb 98	See section 4.1 of Policy Manual
arch		:= $(shell dpkg --print-architecture)-linux

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	R_UNZIPCMD=/usr/bin/miniunzip R_ZIPCMD=/usr/bin/minizip\
	LIBS='-L/usr/lib/atlas'\
	CFLAGS='-Wall -O2' FFLAGS='-Wall -O2'\
	PATH=${PATH}:/usr/bin/X11\   # so /usr/bin/X11/imake is found
	SHLIBLDFLAGS='-shared -lc' ./configure --prefix=/usr		 \
					--with-g77			 \
					--mandir=$(debtmp)/usr/share/man \
					--with-gnome			 \
					--host $(arch)
	make 
	make help
	make html
	make info 
	make pdf

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f doc/html/function.html doc/html/packages.html
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) prefix=`pwd`/debian/tmp/usr install
	make 
	make check 
	make install		prefix=`pwd`/debian/tmp/usr
	make install-pdf	prefix=`pwd`/debian/tmp/usr
	sed -e '/{R_HOME=.*/s::{R_HOME=/usr/lib/R}:' \
	  < bin/R > debian/tmp/usr/bin/R
	sed -e '/{R_HOME=.*/s::{R_HOME=/usr/lib/R}:' \
	  < bin/R > debian/tmp/usr/lib/R/bin/R
	# remove unneeded license file
	rm -v $(debtmp)/usr/lib/R/COPYING  

	# move the pdf files into the arch-indep. package
	dh_movefiles	-p$(pdfpackage)	usr/lib/R/doc/manual/*.pdf 

	# move the GNOME version to the r-gnome package
	dh_movefiles	-p$(gnomepackage) usr/lib/R/bin/R.GNOME

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs	NEWS 
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs		BUGS Y2K 
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installmanpages	-N$(gnomepackage) -p$(package) getline.3
	dh_installinfo		-n doc/manual/R-*.info*
	(cd $(debdoc)/doc && ln -s ../../../../lib/R/doc/html .)
	(cd $(debdoc) && ln -s ../../../lib/R/library .)
#	dh_undocumented
	dh_installchangelogs	NEWS 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_makeshlibs
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums		-X'usr/bin/R'  -XLibIndex -Xindex.txt \
					-Xfunction.html -Xpackages.html
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
